## brltty 4.0~svn4301-0ubuntu4

=== debian/changelog ===
brltty (4.0~svn4301-0ubuntu4) jaunty; urgency=low

  * debian/brltty.init: Only replace brltty.conf if the md5sum of the existing
    file is the same as what was shipped with the package.
  * debian/rules: Put the md5sum of brltty.conf into the newly installed init
    file.
  * debian/brltty-udeb.prebaseconfig: Enable BrlTTY at startup on the target
    system. (LP: #299989)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 18 Mar 2009 13:59:20 +1100

brltty (4.0~svn4301-0ubuntu3) jaunty; urgency=low

  * Build for python2.6.
  * Bindings/Python/Makefile.in: Don't build with --quiet, call install
    with --install-layout=deb.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 21:37:10 +0100

brltty (4.0~svn4301-0ubuntu2) jaunty; urgency=low

  * debian/brltty-udeb.udev.rules: Use the hm driver for the BrailleSense

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Feb 2009 09:58:49 +1100

brltty (4.0~svn4301-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot to fix a few bugs, and to add support for
    a new Braille display.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Feb 2009 09:31:50 +1100

brltty (4.0~svn4289-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot
  * debian/rules:
    - Point to new location for README files for braille drivers.
    - Table data files have a different extension, so point to new files
      for processing for the udeb.
  * debian/control: Refer explicitly to libbluetooth-dev.
  * debian/brltty-udeb.udev.rules: Updated to match the IDs in upstream's
    rules file.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 13 Feb 2009 16:52:05 +1100

brltty (3.10-0ubuntu3) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d
  * debian/brltty.dirs: Create new path instead
  * debian/brltty-udeb.dirs: Create new path instead
  * debian/brltty.preinst: Remove the old rules if unmodified
  * debian/control: Add Breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 16:44:58 +0000

brltty (3.10-0ubuntu2) intrepid; urgency=low

  * Configure the udeb with --disable-x rather than --without-x.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Aug 2008 01:45:07 +0100

brltty (3.10-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * debian/brltty.manpages: Adjust location of vstp manpage.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2008 10:57:34 +1000

brltty (3.10~r3724-1ubuntu5) intrepid; urgency=low

  * Set java include directory and java path. 

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 07:27:33 +0000

brltty (3.10~r3724-1ubuntu4) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 06:36:12 +0000

brltty (3.10~r3724-1ubuntu3) intrepid; urgency=low

  * debian/control
    - Depend on lsb-base >= 3.2-14, providing status_of_proc()
    - Bump Standards-Version to 3.8.0
  * debian/brltty.init
    - Add the 'status' action (LP: #251626)

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 24 Jul 2008 16:15:45 -0500

brltty (3.10~r3724-1ubuntu2) intrepid; urgency=low

  * Rebuild for libgpmg1 -> libgpm2 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 20 Jul 2008 05:24:35 +1000

brltty (3.10~r3724-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Conflicts: libbrlapi, libbrlapi-dev, libbrlapi1-dev.
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Change maintainer to Ubuntu Accessibility Developers
      <ubuntu-accessibility-devel@lists.ubuntu.com>
    - Disable BrlTTY grabbing devices that use the FTDI USB to serial chip.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 04 Jun 2008 14:53:31 +1000

brltty (3.10~r3724-1) unstable; urgency=low

  * New subversion snapshot, fixing FTBFS (Closes: Bug#482205).

 -- Mario Lang <mlang@debian.org>  Thu, 22 May 2008 18:37:09 +0200

brltty (3.10~r3715-1) unstable; urgency=low

  * New subversion snapshot with minor fixes.
  * Clean up the multi binary package handling a bit, now installing
    non-udeb build to debian/tmp.
  * debian/brlapi0.5-dev.copyright: Renamed to libbrlapi-dev.copyright so
    that it gets installed.
  * Use upstream rules to install man3 manpages (Closes: Bug#479754).
  * No longer ship brltty-config, it used to be wrong and I don't
    see a single use-case for it.
  * debian/brltty.conf: Deleted, unused.

 -- Mario Lang <mlang@debian.org>  Fri, 09 May 2008 16:51:16 +0200

brltty (3.10~r3710-1) unstable; urgency=low

  * New subversion snapshot, target for unstable after good test results.
  * Disable the Java bindings on alpha and hppa (in addition to the
    already disabled archs) (Closes: Bug#477848).

 -- Mario Lang <mlang@debian.org>  Sun, 04 May 2008 22:06:34 +0200

brltty (3.10~r3666-1) experimental; urgency=low

  * New subversion snapshot.
  * Build-Depend on libicu-dev but disable icu in the udeb build
    (Closes: Bug#475604).

 -- Mario Lang <mlang@debian.org>  Tue, 15 Apr 2008 23:27:18 +0200

brltty (3.10~r3662-2) experimental; urgency=low

  * Add --disable-iconv to udeb configure options (Closes: Bug#475612).

 -- Mario Lang <mlang@debian.org>  Sun, 13 Apr 2008 20:18:31 +0200


