=== debian/control ===
Source: brltty
Section: admin
Priority: extra
Maintainer: Ubuntu Accessibility Developers <ubuntu-accessibility-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>= 4.2),
               python-support,
               python-all-dev (>= 2.5.2),
               python-pyrex,
               libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libicu-dev,
               default-jdk [!alpha !arm !hppa !hurd-i386 !m68k],
               bison, doxygen, linuxdoc-tools, groff,
               flite1-dev, libncurses5-dev, libxaw7-dev, libatspi-dev,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.0

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), lsb-base (>= 3.2-14)
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: libbrlapi-dev, festival, brltty-flite, brltty-x11
Breaks: udev (<< 136-1)
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva (ABT3xx/Delphi)
  * Baum
  * BrailleLite (18/40)
  * BrailleNote (18/32)
  * EcoBraille displays
  * EuroBraille displays
  * Freedom Scientific (Focus and PacMate)
  * HandyTech (all models)
  * LogText 32
  * MDV braille displays
  * Papenmeier
  * Tieman Voyager 44/70 (USB), CombiBraille, MiniBraille and MultiBraille
  * Tivomatic (Albatross)
  * TSI (PowerBraille/Navigator)
  * Videobraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.5.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in libbrlapi-java (Java)  and
 python-brlapi (Python).

Package: libbrlapi0.5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbrlapi, libbrlapi1-dev
Description: braille display access via BRLTTY - shared library
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Section: libdevel
Depends: libbrlapi0.5 (>= ${source:Version}), libc6-dev
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Java bindings for BrlAPI (native library)
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: libs
Depends: libbrlapi-jni (>= ${source:Version}),
         default-jre | java2-runtime
Description: Java bindings for BrlAPI
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.

Package: brltty-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional drivers which require X11 or GNOME.

Package: python-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for BrlAPI
 This package provides a Python module to access a braille display.
